### Function

# GObject signal_handler_is_connected

since: 2.0

#### Declaration

    gboolean
    g_signal_handler_is_connected (
      GObject* instance,
      gulong handler_id
    )

#### Description

Returns whether `handler_id` is the ID of a handler connected to `instance`.

Available since: 2.0

#### Parameters

`instance`

  Type: `GObject`

  The instance where a signal handler is sought.

  The data is owned by the caller of the function.

`handler_id`

  Type: `gulong`

  The handler ID.

#### Return value

Type: `gboolean`

Whether `handler_id` identifies a handler connected to `instance`.